package web;

import ejb.NewsEntity;
import ejb.NewsEntityFacadeLocal;
import java.io.*;
import java.net.*;
import java.util.Iterator;
import java.util.List;
import javax.ejb.EJB;
import javax.servlet.*;
import javax.servlet.http.*;

public class ListNews extends HttpServlet {

    @EJB
    private NewsEntityFacadeLocal newsEntityFacade;

    protected void processRequest(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {

            out.println("<html>");
            out.println("<head>");
            out.println("<title>EJB Message driven bean</title>");
            out.println("</head>");
            out.println("<body>");
            out.println("<h1>EJB Message driven bean using Servlet</h1>");
            out.println("<hr></hr>");
            out.println("<h3>Details You have Entered is:</h3>");
            List news = newsEntityFacade.findAll();
            for (Iterator it = news.iterator(); it.hasNext();) {
                NewsEntity elem = (NewsEntity) it.next();
                out.println(" <b>" + "Name is: " + "</b>" + elem.getTitle() + "<br />");
                out.println("<b>" + "E-mail is: " + "</b>" + elem.getEmail() + "<br /> ");
                out.println("<b>" + "Dob is: " + "</b>" + elem.getDob() + "<br /> ");
                out.println("<b>" + "Address is: " + "</b>" + elem.getBody() + "<br /><br /> ");
            }
            out.println("<a href='PostMessage'><b>Post new message</b></a>");
            out.println("</body>");
            out.println("</html>");
        } finally {
            out.close();
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}